"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultContainer = void 0;
class DefaultContainer {
    constructor() {
        this.instances = new Map();
    }
    get(HandlerClass) {
        if (!this.instances.has(HandlerClass)) {
            const handler = new HandlerClass();
            this.instances.set(HandlerClass, handler);
            return handler;
        }
        return this.instances.get(HandlerClass);
    }
}
exports.DefaultContainer = DefaultContainer;
//# sourceMappingURL=container.js.map