"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isPromise = void 0;
const isObject = (value) => value !== null && (typeof value === 'object' || typeof value === 'function');
function isPromise(value) {
    return (value instanceof Promise ||
        (isObject(value) &&
            typeof value.then === 'function' &&
            typeof value.catch === 'function'));
}
exports.isPromise = isPromise;
//# sourceMappingURL=isPromise.js.map